<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EnviarNF_1Response StructType
 * @subpackage Structs
 */
class EnviarNF_1Response extends AbstractStructBase
{
    /**
     * The protocolo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $protocolo;
    /**
     * The EnviarNF_1Result
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $EnviarNF_1Result;
    /**
     * Constructor method for EnviarNF_1Response
     * @uses EnviarNF_1Response::setProtocolo()
     * @uses EnviarNF_1Response::setEnviarNF_1Result()
     * @param int $protocolo
     * @param string $enviarNF_1Result
     */
    public function __construct($protocolo = null, $enviarNF_1Result = null)
    {
        $this
            ->setProtocolo($protocolo)
            ->setEnviarNF_1Result($enviarNF_1Result);
    }
    /**
     * Get protocolo value
     * @return int
     */
    public function getProtocolo()
    {
        return $this->protocolo;
    }
    /**
     * Set protocolo value
     * @param int $protocolo
     * @return \StructType\EnviarNF_1Response
     */
    public function setProtocolo($protocolo = null)
    {
        // validation for constraint: int
        if (!is_null($protocolo) && !(is_int($protocolo) || ctype_digit($protocolo))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($protocolo, true), gettype($protocolo)), __LINE__);
        }
        $this->protocolo = $protocolo;
        return $this;
    }
    /**
     * Get enviarNFResult value
     * @return enviarNFResult
     */
    public function getEnviarNF_1Result()
    {
        return $this->EnviarNF_1Result;
    }
    /**
     * Set enviarNFResult value
     * @param enviarNFResult $enviarNFResult
     * @return \StructType\EnviarNF_1Response
     */
    public function setEnviarNF_1Result($enviarNF_1Result = null)
    {
        // validation for constraint: string
        if (!is_null($enviarNF_1Result) && !is_string($enviarNF_1Result)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($enviarNF_1Result, true), gettype($enviarNF_1Result)), __LINE__);
        }
        $this->EnviarNF_1Result = $enviarNF_1Result;
        return $this;
    }
}
